OpenOffice < 2.4.1 rtl_allocateMemory Integer Overflow

Medium Nessus Network Monitor Plugin ID 4538

Synopsis

The remote Windows host has a program affected by an integer overflow vulnerability.

Description

The version of OpenOffice installed on the remote host reportedly contains an integer overflow vulnerability in 'rtl_allocateMemory()', a custom memory allocation function used by the application. If an attacker can trick a user on the affected system, he can leverage this issue to execute arbitrary code subject to his privileges.

Solution

Upgrade to OpenOffice version 2.4.1 or later.

See Also

http://labs.idefense.com/intelligence/vulnerabilities/display.php?id=714

http://www.securityfocus.com/archive/1/493227/30/0/threaded

http://www.openoffice.org/security/cves/CVE-2008-2152.html

Plugin Details

Severity: Medium

ID: 4538

Family: Generic

Published: 2004/08/18

Updated: 2019/03/06

Nessus ID: 33129

Risk Information

Risk Factor: Medium

CVSS v2.0

Base Score: 6.8

Temporal Score: 5.6

Vector: CVSS2#AV:N/AC:M/Au:N/C:P/I:P/A:P

Temporal Vector: CVSS2#E:F/RL:OF/RC:C

CVSS v3.0

Base Score: 5.6

Temporal Score: 5.2

Vector: CVSS:3.0/AV:N/AC:H/PR:N/UI:N/S:U/C:L/I:L/A:L

Temporal Vector: CVSS:3.0/E:F/RL:O/RC:C

Vulnerability Information

CPE: cpe:/a:openoffice:openoffice.org

Reference Information

CVE: CVE-2008-2152

BID: 29622